import { default as Accessor } from '@arcgis/core/core/Accessor.js';
import { UUID } from '@arcgis/toolkit/string';
type ConstructProperties = Partial<Pick<SliderData, "max" | "min" | "precision" | "values">>;
export declare class SliderData extends Accessor {
    constructor(properties?: ConstructProperties);
    startup(): void;
    private _entries;
    get entries(): ReadonlyMap<UUID, number>;
    /**
     * The maximum possible data/thumb value of the slider.
     */
    set max(value: number);
    /**
     * The minimum possible data/thumb value of the slider.
     */
    set min(value: number);
    /**
     * The number of decimal places to which the slider values are rounded.
     * The default value is `4`.
     */
    precision: number;
    /** When `ready`, constraints apply to values when set. */
    readonly ready: boolean;
    set values(values: number[]);
    getValue(entry: UUID): number | undefined;
    /**
     * Updates a thumb [value](#values) based on the provided index. The provided value
     * must differ from the previous value.
     * The provided value must also be between the [min](#min) and [max](#max).
     *
     * @returns `true` if the value was changed, otherwise `false`.
     */
    setValue(entry: UUID, value: number): boolean;
    setValues(entries: ReadonlyMap<UUID, number>): boolean;
    private _updatesValues;
}
export {};
